IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The site listing object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

site_iduuid
sites.id

Identifier of the site this listing is defined in

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

orderinteger

Order of the listing as displayed on the site

slugMultiLanguageString

Slug of the listing

The site listing object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "site_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:00:21.475Z",
  "updated_at": "2026-03-12T04:00:21.475Z",
  "order": 0,
  "slug": {
    "default": "Hello",
    "nl-NL": "Hallo"
  }
}

List site listings

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

site_idFilter<uuid>
sites.id

Identifier of the site this listing is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the listing as displayed on the site

slugFilter<MultiLanguageString>

Slug of the listing

Responses

200

A list of site listings with the selected columns

206

Partial Content

GET /site_listings
curl -X GET "https://api.bookingmood.com/v1/site_listings?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create site listings

Body

Partial<SiteListing> | Array<Partial<SiteListing>>

Responses

201

The newly created site listings with the selected columns

POST /site_listings
curl -X POST "https://api.bookingmood.com/v1/site_listings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete site listings

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

site_idFilter<uuid>
sites.id

Identifier of the site this listing is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the listing as displayed on the site

slugFilter<MultiLanguageString>

Slug of the listing

Responses

204

The deleted site listings with the selected columns

DELETE /site_listings
curl -X DELETE "https://api.bookingmood.com/v1/site_listings" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update site listings

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

site_idFilter<uuid>
sites.id

Identifier of the site this listing is defined in

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the listing as displayed on the site

slugFilter<MultiLanguageString>

Slug of the listing

Body

Partial<SiteListing>

Responses

204

The updated site listings with the selected columns

PATCH /site_listings
curl -X PATCH "https://api.bookingmood.com/v1/site_listings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'